package com.loganmagnan.naturaldisasters.managers.naturaldisasters;

public enum NaturalDisasterType {

    AVALANCHE,
    ASHFALL,
    ARIDIFICATION,
    BLIZZARD,
    BUSHFIRE,
    BARREN_LAND_EXPANSION,
    CYCLONE,
    COLD_WAVE,
    COASTAL_EROSION,
    CROP_FAILURE,
    DROUGHT,
    DUST_STORM,
    DEBRIS_FLOW,
    DAM_FAILURE,
    EARTHQUAKE,
    EPIDEMIC,
    EROSION,
    EXTREME_HEAT,
    FLOOD,
    FAMINE,
    FIRESTORM,
    FLASH_FLOOD,
    FREEZING_RAIN,
    GROUND_COLLAPSE,
    GLACIER_COLLAPSE,
    GEYSER_ERUPTION,
    HURRICANE,
    HEAT_WAVE,
    HAILSTORM,
    HABOOB,
    ICE_STORM,
    INLAND_FLOODING,
    INSECT_INFESTATION,
    JUNGLE_FIRE,
    JET_STREAM_SHIFT,
    KARST_COLLAPSE,
    KRAKATOA_TYPE_ERUPTION,
    LANDSLIDE,
    LIGHTNING_STORM,
    LAVA_FLOW,
    LIMNIC_ERUPTION,
    MUDSLIDE,
    MONSOON_FLOODING,
    METEOR_STRIKE,
    MEGA_TSUNAMI,
    NUCLEAR_DISASTER,
    NIGHT_FROST,
    OCEAN_SWELL,
    OIL_SPILL,
    OUTBURST_FLOOD,
    PANDEMIC,
    PLAGUE,
    PERMAFROST_MELTING,
    QUICKSAND_FORMATION,
    QUAKE_INDUCED_TSUNAMI,
    QUASAR_ERUPTION,
    ROCKFALL,
    RIVERBANK_EROSION,
    ROGUE_WAVE,
    RADIATION_RELEASE,
    STORM_SURGE,
    SNOW_STORM,
    SANDSTORM,
    SINKHOLE,
    SEVERE_THUNDERSTORM,
    SOLAR_FLARE,
    TORNADO,
    TSUNAMI,
    TYPHOON,
    TUNDRA_THAWING,
    UNDERWATER_ERUPTION,
    UNSEASONAL_WEATHER_EXTREMES,
    URBAN_FLOODING,
    VOLCANIC_ERUPTION,
    VALLEY_FLOODING,
    VOLCANIC_MUDFLOW,
    WILDFIRE,
    WATERSPOUT,
    WINDSTORM,
    WINTER_STORM,
    X_CATEGORY_CYCLONES,
    X_FACTOR_DROUGHT,
    YELLOW_DUST_STORM,
    YEDOMA_THAWING,
    ZUD,
    ZONE_COLLAPSE,
    ZEPHYR_WINDS;
}
